Summary:	Rescue image
Name:		drakx-installer-rescue
Version:	1.52
Release:	%mkrel 5
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2
Group:		Development/Other
Url:		http://wiki.mandriva.com/Tools/DrakX
BuildRequires: perl-XML-Parser 
BuildRequires: squashfs-tools 
BuildRequires: mknod-m600
BuildRequires: mingetty
BuildRequires: ldetect-lst-devel >= 0.1.346.4-1
BuildRequires: hexedit 
BuildRequires: grub 
BuildRequires: grub2 >= 2.02-0.git9752.18.4
BuildRequires: rsync >= 3.1.1-5.1
BuildRequires: openssh-clients >= 6.6p1-5.9
BuildRequires: krb5-appl-clients
BuildRequires: kbd 
BuildRequires: strace
%ifarch x86_64
BuildRequires: gummiboot
BuildRequires: efibootmgr
%endif
BuildRequires: gpart
BuildRequires: parted
BuildRequires: partimage
BuildRequires: e2fsprogs
BuildRequires: dump
BuildRequires: xfsdump >= 3.1.6-1
BuildRequires: eject 
BuildRequires: testdisk
BuildRequires: extipl
BuildRequires: xfsprogs >= 4.3.0-1
BuildRequires: reiserfsprogs
BuildRequires: jfsprogs
BuildRequires: ntfsprogs
BuildRequires: dosfstools
BuildRequires: btrfs-progs >= 4.4.1-1
BuildRequires: mdadm >= 3.3.4-1
BuildRequires: lvm2
BuildRequires: dmraid
BuildRequires: kpartx
BuildRequires: dmraid-events
BuildRequires: dmsetup
BuildRequires: setserial
BuildRequires: mt-st
# For /usr move at build time:
BuildRequires: dracut >= 038-21
BuildRequires: ldetect
BuildRequires: packdrake
BuildRequires: rpmtools
BuildRequires: vim-minimal
# for rescue-gui:
BuildRequires: drakx-installer-binaries >= 2.13.1-1
BuildRequires: drakxtools-backend  >= 16.105.1-1
BuildRequires: drakx-kbd-mouse-x11
BuildRequires: bind-utils
BuildRequires: nfs-utils
BuildRequires: wget
BuildRequires: cdialog
BuildRequires: ldetect-lst >= 0.1.346.4-1
BuildRequires: ntfs-3g
BuildRequires: nilfs-utils
BuildRequires: cryptsetup
BuildRequires: photorec
BuildRequires: quota
BuildRequires: pv
BuildRequires: fakeroot
BuildRequires: dropbear
BuildRequires: screen
BuildRequires: gdisk
# for /usr/lib/systemd/system/systemd-ask-password-plymouth.*:
BuildRequires: plymouth
BuildRequires: pciutils

%description
Rescue image

%prep
%setup -q
%apply_patches

%build
fakeroot make -C rescue
rpm -qa | sort > build-rpms.lst

%install
dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
cp -r rescue/rescue.sqfs $dest

%files
%doc build-rpms.lst
%{_libdir}/%name


%changelog
* Sun Nov 06 2016 tmb <tmb> 1.52-5.mga5
+ Revision: 1065541
- rebuild for updated packages

* Sun May 31 2015 tmb <tmb> 1.52-3.mga5
+ Revision: 822834
- rebuild for official release

* Sat May 09 2015 tmb <tmb> 1.52-2.mga5
+ Revision: 821547
- rebuild for updated packges

* Thu Apr 30 2015 tv <tv> 1.52-1.mga5
+ Revision: 820872
- guessmount: mount /dev, /run & /sys too (mga#10865)
- lsparts (mga#8854):
  o display label too
  o silent run_program

* Mon Apr 20 2015 tmb <tmb> 1.51-2.mga5
+ Revision: 820509
- rebuild for new drakxtools

* Wed Apr 15 2015 tmb <tmb> 1.51-1.mga5
+ Revision: 820274
- fix reinstalling grub2 on UEFI (mga#15695)

* Tue Apr 14 2015 tmb <tmb> 1.50-14.mga5
+ Revision: 820265
- rebuild for drakxtools and grub2

* Mon Apr 13 2015 tmb <tmb> 1.50-13.mga5
+ Revision: 820162
- rebuild for new drakxtools and grub2

* Thu Apr 09 2015 tv <tv> 1.50-12.mga5
+ Revision: 820016
- rebuild with drakxtools-16.80

* Tue Apr 07 2015 tmb <tmb> 1.50-11.mga5
+ Revision: 819857
- submit to release

* Tue Apr 07 2015 tv <tv> 1.50-10.mga5
+ Revision: 819844
- really rebuild with latest drakxtools

* Tue Apr 07 2015 ennael <ennael> 1.50-9.mga5
+ Revision: 819825
- rebuild with proper drakxtools

* Tue Apr 07 2015 ennael <ennael> 1.50-8.mga5
+ Revision: 819816
- rebuild for new drakxtools

* Fri Apr 03 2015 tv <tv> 1.50-7.mga5
+ Revision: 819665
- rebuild with new draktools
  (fix grub2 rescue (mga#13408, mga#13901))

* Mon Mar 30 2015 tmb <tmb> 1.50-6.mga5
+ Revision: 819402
- rebuild for new btrfs-progs

* Sat Mar 14 2015 tmb <tmb> 1.50-5.mga5
+ Revision: 818536
- rebuild for new btrfs-progs

* Wed Feb 25 2015 tmb <tmb> 1.50-4.mga5
+ Revision: 816858
- rebuild with new ldetect

* Mon Feb 09 2015 tmb <tmb> 1.50-3.mga5
+ Revision: 814387
- BR: mingetty
- rebuild for new btrfs-progs

* Fri Jan 09 2015 tmb <tmb> 1.50-1.mga5
+ Revision: 809517
- add efibootmgr to x86_64 rescue image

* Fri Jan 02 2015 tmb <tmb> 1.49-10.mga5
+ Revision: 808171
- rebuild for new efibootmgr

* Tue Dec 30 2014 tmb <tmb> 1.49-9.mga5
+ Revision: 807497
- rebuild for new btrfs-progs

* Sun Dec 14 2014 tmb <tmb> 1.49-8.mga5
+ Revision: 803096
- rebuild for new packages

* Tue Nov 04 2014 tmb <tmb> 1.49-7.mga5
+ Revision: 795655
- rebuild for fixed systemd

* Thu Oct 30 2014 tmb <tmb> 1.49-6.mga5
+ Revision: 794848
- rebuild for new systemd

* Sat Oct 25 2014 tmb <tmb> 1.49-5.mga5
+ Revision: 793223
- rebuild for new util-linux and btrfs-progs

* Wed Oct 15 2014 umeabot <umeabot> 1.49-4.mga5
+ Revision: 741280
- Second Mageia 5 Mass Rebuild

* Fri Oct 10 2014 tmb <tmb> 1.49-3.mga5
+ Revision: 737980
- add efibootmgr to rescue image

* Fri Oct 03 2014 tmb <tmb> 1.49-2.mga5
+ Revision: 736688
- rebuild for lvm2 and btrfs-progs

* Thu Sep 18 2014 tmb <tmb> 1.49-1.mga5
+ Revision: 695893
- 80-net-name-slot.rules is replaced with 99-default.link
- BR: pciutils
- killall5 is no more needed (tv)

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.47-6.mga5
+ Revision: 635228
- rebuild with new perl

* Mon Jan 27 2014 tmb <tmb> 1.47-5.mga4
+ Revision: 568477
- rebuild for Official

* Wed Jan 01 2014 tmb <tmb> 1.47-4.mga4
+ Revision: 563780
- rebuild with fixed e2fsprogs

* Mon Dec 09 2013 colin <colin> 1.47-3.mga4
+ Revision: 556025
- Rebuild for new systemd

* Sun Dec 08 2013 tv <tv> 1.47-2.mga4
+ Revision: 555975
- drop BR drakx-installer-sysvinit

* Sun Dec 08 2013 tv <tv> 1.47-1.mga4
+ Revision: 555954
- BR plymouth
- use systemd as init in the rescue system
- allowing systemd-nspawn "booting" of a mounted /mnt (after umount /mnt/proc)

* Wed Dec 04 2013 tmb <tmb> 1.46-2.mga4
+ Revision: 555236
- rebuild for new btrfs-progs

* Tue Oct 29 2013 ennael <ennael> 1.46-1.mga4
+ Revision: 547887
- adapt to a dracut based stage1

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Oct 14 2013 tv <tv> 1.45.1-1.mga4
+ Revision: 497255
- many btrfs tools no longer exist
- adapt to latest mdadm
- drop /etc/termcap as it's no longer part of our build
- include network interface name udev rules (mga#10947)

  + tmb <tmb>
    - rebuild for updated packages

* Sat May 18 2013 tmb <tmb> 1.44-2.mga3
+ Revision: 413546
- rebuild for d-i-b and mageia-release

* Sat May 18 2013 tmb <tmb> 1.44-1.mga3
+ Revision: 413523
- ensure /dev is bind mounted before re-installing bootloader (mga#10107)

* Wed May 15 2013 ennael <ennael> 1.43-1.mga3
+ Revision: 413297
- i- ensure grabjournallogs script is executable (mga#10108)

  + tv <tv>
    - explain why dracut is needed

* Fri May 03 2013 tmb <tmb> 1.42-2.mga3
+ Revision: 412208
- rebuild for new dracut

* Tue Apr 30 2013 tv <tv> 1.42-1.mga3
+ Revision: 411721
- add a script to simplfy grabbing of journal logs for bug reports
- enable to abort choosing distro to rescue (mga#9765)
- explain what for drakx-installer-binaries is needed

* Sat Apr 27 2013 tmb <tmb> 1.41-5.mga3
+ Revision: 411356
- rebuild for new d-i-b and ldetect-lst

* Wed Apr 24 2013 tmb <tmb> 1.41-4.mga3
+ Revision: 411084
- rebuild for new ldetect-lst and d-i-b

* Wed Apr 17 2013 tmb <tmb> 1.41-3.mga3
+ Revision: 410304
- rebuild for new btrfs-progs

* Sat Apr 13 2013 tmb <tmb> 1.41-2.mga3
+ Revision: 410020
- rebuild for d-i-b and ldetect-lst

* Sat Apr 06 2013 tv <tv> 1.41-1.mga3
+ Revision: 408512
- BR ldetect
- really adapt to /usr move (fix lvm2 freezing, mga#5795)
- drop our "use modprobe instead" insmod since we've kmod one for free
- include libdevmapper-event-*.so
- include persistant storage udev rules needed to see new uuids
- offer to pick the distro to rescue when there's more than one
- /var/run/utmp is on tmpfs now
- warn that i586 cannot rescue x86_64 (mga#8696)

* Fri Apr 05 2013 tmb <tmb> 1.40-4.mga3
+ Revision: 408219
- rebuild for new ldetect and d-i-b

* Thu Apr 04 2013 tv <tv> 1.40-3.mga3
+ Revision: 407939
- rebuild with new ldetect for xen support (mga#9546)

* Thu Mar 14 2013 tmb <tmb> 1.40-2.mga3
+ Revision: 403124
- rebuild for new d-i-b

* Wed Mar 06 2013 tv <tv> 1.40-1.mga3
+ Revision: 401592
- preload fuse (mga#5833)
- use kmod's modprobe, thus fixing loading modules (mga#9270)

* Sat Mar 02 2013 tmb <tmb> 1.39-9.mga3
+ Revision: 401166
- rebuild for drakx-installer-binaries

* Sat Feb 23 2013 tmb <tmb> 1.39-8.mga3
+ Revision: 400176
- BR gummiboot on x86_64

* Sat Feb 09 2013 tmb <tmb> 1.39-7.mga3
+ Revision: 397339
- rebuild for new btrfs-progs
- add grub2

* Mon Jan 21 2013 tmb <tmb> 1.39-6.mga3
+ Revision: 390481
- rebuild for new d-i-b

* Sat Jan 19 2013 tmb <tmb> 1.39-5.mga3
+ Revision: 389555
- /var/run/utmp is on tmpfs now
- rebuild for d-i-b, drakx*

* Thu Jan 10 2013 tmb <tmb> 1.39-4.mga3
+ Revision: 344892
- rebuild for several updated packages

* Fri Nov 02 2012 tmb <tmb> 1.39-3.mga3
+ Revision: 312680
- rebuild for several updated packages

* Wed Sep 12 2012 tv <tv> 1.39-2.mga3
+ Revision: 293141
- rebuild for new ldetect

* Mon Sep 03 2012 tv <tv> 1.39-1.mga3
+ Revision: 287604
- drop old patch
- bump BR on drakx-installer-binaries
- adapt to latest systemd/udevd
- adapt to perl-5.16.0
- adapt to /usr move
- default to the higher version when there're several mga roots (mga#6003)
- drop KA support
- fix detecting USB devices with kernel-3.5+ (mga#7248)
- preload load btrfs and nilfs2 too
- rely on stage1 for mounting /dev
- revert to "linux" terminfo
- simplify bringing up local loop interface (pok, mdv)
- stop fixing the raid udev rule now that it has been fixed

  + tmb <tmb>
    - fix requires on nfs-utils

* Mon May 21 2012 tmb <tmb> 1.38-4.mga2
+ Revision: 235991
- prefer higher release when mounting rescue (mga #6003)

* Sat May 19 2012 tmb <tmb> 1.38-3.mga2
+ Revision: 235927
- rebuild for mageia-release

* Sun May 13 2012 tmb <tmb> 1.38-2.mga2
+ Revision: 235594
- rebuild for drakx-installer-binaries and ldetect-lst

* Fri May 11 2012 tv <tv> 1.38-1.mga2
+ Revision: 235342
- include missing modules when SMB appears in fstab (mga#5850)

* Wed May 02 2012 tmb <tmb> 1.37-3.mga2
+ Revision: 234517
- rebuild for new btrfs-progs, ldetect-lst, ...

  + tv <tv>
    - rebuild for new ldetect-lst (mga#5681)
    - package BR list

* Wed Apr 18 2012 tv <tv> 1.37-1.mga2
+ Revision: 231445
- fix detecting RAID (mga#5048)
- include more udev rules for RAID (mga#5048)

* Sun Apr 08 2012 pterjan <pterjan> 1.36-1.mga2
+ Revision: 229619
- fix modprobe to support being called by kernel (mga#5274)

* Thu Apr 05 2012 tv <tv> 1.35-1.mga2
+ Revision: 228794
- add chrooted rescue system in PATH
- 32bit grub needs 32 bit loader (mga#5191)
- default to "screen" instead of "linux" terminfo (mga#4894)
- include "screen" terminfo (mga#4894)

* Tue Apr 03 2012 tmb <tmb> 1.34-8.mga2
+ Revision: 228146
- rebuild for new e2fsprogs

* Sun Mar 25 2012 tmb <tmb> 1.34-7.mga2
+ Revision: 226232
- rebuild for new xfsprogs and btrfs-progs

* Mon Mar 19 2012 tmb <tmb> 1.34-6.mga2
+ Revision: 224478
- rebuild for new drakx-installer-binaries

* Mon Mar 19 2012 tmb <tmb> 1.34-5.mga2
+ Revision: 224380
- rebuild for new drakx-installer-binaries

* Mon Mar 12 2012 tmb <tmb> 1.34-4.mga2
+ Revision: 223152
- rebuild for new drakx-installer-binaries

* Tue Mar 06 2012 tmb <tmb> 1.34-3.mga2
+ Revision: 220560
- rebuild for new lvm2, dmraid, kpartx

* Sat Mar 03 2012 tmb <tmb> 1.34-2.mga2
+ Revision: 217302
- rebuild for new drakx-installer-binaries

* Sun Feb 26 2012 tv <tv> 1.34-1.mga2
+ Revision: 215387
- escape / in generated passwords in startssh
- add trailing ; in command lists in startssh

* Sun Feb 26 2012 tv <tv> 1.33-1.mga2
+ Revision: 215308
- do not symlink /dev (mga#1023)

* Sat Feb 25 2012 tv <tv> 1.32-1.mga2
+ Revision: 214907
- don't overwrite /dev after udev handles it
- add some tests and error handling in startssh
- really fix mounting /dev/pts & /dev/shm (mga#1023)

* Sat Feb 25 2012 tv <tv> 1.31-1.mga2
+ Revision: 214670
- add logging to dropbear
- fix mounting /dev/pts & /dev/shm (mga#1023)
- make root user homedir /root
- add agetty (mga#2052)

* Thu Jan 26 2012 tv <tv> 1.30-1.mga2
+ Revision: 202069
- BR nilfs-utils
- enable autologin on all consoles
- include mkfs.nilfs2 & nilfs-tune

* Wed Jan 25 2012 tv <tv> 1.29-2.mga2
+ Revision: 201379
- rebuild with latest drakxtools

* Wed Jan 25 2012 tv <tv> 1.29-1.mga2
+ Revision: 201360
- drop support for squashfs3
- enable rescue through serial line (mga#2052)
- fix mounting / (mga#3327)
- fix mounting / on LV
- fix mounting / on soft RAID or crypted LV (mga#3778 & mga#448)
- include xz for xz modules
- mount /proc in chroot
- only consider fstab from the selected fs
- switch to udev

* Wed Jan 25 2012 tv <tv> 1.28-2.mga2
+ Revision: 201207
- rebuild with new packages for XZ modules support

* Sun Jan 15 2012 tv <tv> 1.28-1.mga2
+ Revision: 196435
- use init from drakx-installer-sysvinit instead of system one

* Thu Jan 05 2012 tmb <tmb> 1.27-7.mga2
+ Revision: 191556
- rebuild for new lvm2 and dmraid

* Fri Dec 30 2011 tmb <tmb> 1.27-6.mga2
+ Revision: 189122
- rebuild for new e2fsprogs

* Thu Dec 29 2011 tmb <tmb> 1.27-5.mga2
+ Revision: 188503
- BR fixed drakx-installer-binaries >= 1.55-1

* Sat Dec 24 2011 tmb <tmb> 1.27-4.mga2
+ Revision: 187078
- try build with systemd support
- rebuild for new mdadm and btrfs-progs

* Wed Dec 07 2011 tmb <tmb> 1.27-3.mga2
+ Revision: 178103
- rebuild for updated dmraid

* Tue Dec 06 2011 tmb <tmb> 1.27-2.mga2
+ Revision: 177913
- rebuild for drakx-installer-binaries 1.52, ldetect, ...

* Fri Oct 28 2011 tmb <tmb> 1.27-1.mga2
+ Revision: 159166
- clean up genpasswd (AL13N)
- add gdisk for GPT partitioning support (#1023)

* Mon Oct 24 2011 tmb <tmb> 1.26-1.mga2
+ Revision: 157881
- 1.26:
  - add dropbear ssh support to rescue mode (AL13N, mga #1023)
    * add screen, dropbear, dropbearkey, genpasswd and startssh
    * add /etc/shells
  - add partprobe tool from parted (9k)

* Tue Oct 18 2011 tmb <tmb> 1.25.1-2.mga2
+ Revision: 156256
- check rebuild since almost all BR rpms have been updated
- rebuild with perl-5.14.1

  + tv <tv>
    - fix build with perl-5.14
    - add missing libfuse.so.2 for mount.ntfs-3g (#1189)
    - prefer Mageia root partitions over Mdv ones (#1320)

* Mon May 30 2011 tmb <tmb> 1.24-3.mga1
+ Revision: 100805
- rebuild with final drakx-installer-binaries

  + kharec <kharec>
    - re-add clean at %%install
    - bump rel
    - remove old sources (1.23)
    - clean spec (mostly for allow commit)

* Fri May 20 2011 tmb <tmb> 1.24-1.mga1
+ Revision: 99873
- merge P0-P2 in trunk

* Fri May 20 2011 tmb <tmb> 1.23-3.mga1
+ Revision: 99862
- build with drakx-installer-binaries-1.50-1

* Thu May 19 2011 tmb <tmb> 1.23-2.mga1
+ Revision: 99822
- build with api-fixed drakx-installer-binaries

* Wed Apr 06 2011 dmorgan <dmorgan> 1.23-1.mga1
+ Revision: 81155
- New version:
  	- Fix use of mageia_release

* Sat Apr 02 2011 tmb <tmb> 1.22-7.mga1
+ Revision: 79858
- build with updated ldetect-lst

* Sun Mar 13 2011 tmb <tmb> 1.22-6.mga1
+ Revision: 70348
- rebuild with fixed drakx-installer-binaries

* Sun Mar 13 2011 tmb <tmb> 1.22-5.mga1
+ Revision: 70276
- really add btrfs tools to the rescue image

* Sat Mar 12 2011 tmb <tmb> 1.22-4.mga1
+ Revision: 70229
- prevent systemd to get on the rescue image

* Sat Mar 12 2011 tmb <tmb> 1.22-3.mga1
+ Revision: 70176
- use fakeroot for the whole build process so the rescue image actually works

* Sun Mar 06 2011 tmb <tmb> 1.22-2.mga1
+ Revision: 65204
- add btrfs-progs to rescue image

* Sun Mar 06 2011 tmb <tmb> 1.22-1.mga1
+ Revision: 65196
- fix XSLoader path
- use fakeroot to build rescue image

  + ennael <ennael>
    - imported package drakx-installer-rescue


* Wed Jun 16 2010 Thomas Backlund <tmb@mandriva.org> 1.21-2mdv2010.1
+ Revision: 548177
- rebuild for updated e2fsprogs and xfsprogs

* Wed May 19 2010 Antoine Ginies <aginies@mandriva.com> 1.21-1mdv2010.1
+ Revision: 545362
- add missing dmeventd

* Wed May 19 2010 Antoine Ginies <aginies@mandriva.com> 1.20-1mdv2010.1
+ Revision: 545350
- add some missing tools (#59357)

* Fri May 07 2010 Antoine Ginies <aginies@mandriva.com> 1.19-1mdv2010.1
+ Revision: 543175
- remove telnet buildrequires (provided by krb5-appl-clients)
- ftp-client-krb5 doesnt exist anymore, now it's krb5-appl-clients
- 1.19
- add udev_creation.sh needed script to recreate all udev devices in client node in ka replication process
- rebuild to take into account new ka-deploy-source-host (lot of fixes)

* Tue Apr 13 2010 Olivier Blin <oblin@mandriva.com> 1.18-1mdv2010.1
+ Revision: 534196
- 1.18
- image restore script: use blkid instead of deprecated vol_id

* Mon Apr 12 2010 Olivier Blin <oblin@mandriva.com> 1.17-1mdv2010.1
+ Revision: 533674
- 1.17
- Handle LVM (#44723)
- image restore script: handle hybrid images (by matching main device)

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.16-2mdv2010.1
+ Revision: 522538
- rebuilt for 2010.1

* Fri Oct 09 2009 Olivier Blin <oblin@mandriva.com> 1.16-1mdv2010.0
+ Revision: 456438
- 1.16
- work both with squashfs 3 and 4
- image restore script (from Paulo Ricardo Zanoni):
  o re-read partition table after writing image
  o do not extend / to the end of the disk, it overlaps with swap
    partition
- do not make de-latin1 keymap a symlink loop (#45109)
- use extipl from /usr/lib/extipl on x86_64 too
  (to fix restore_ms_boot, hardcoding this path)

* Fri Sep 11 2009 Pascal Terjan <pterjan@mandriva.org> 1.15-2mdv2010.0
+ Revision: 438300
- Use native squashfs format, not squashfs3 else stage1 won't load rescue

* Thu Sep 03 2009 Thierry Vignaud <tv@mandriva.org> 1.15-1mdv2010.0
+ Revision: 428383
- add back dumpe2fs
- run /oem-rescue.sh if oem option is present on cmdline
- allow to specify main partition in the restore config file
  (MAIN_PART_NUMBER), if there is a restore partition at beginning of
  disk
- load ext4 module (#48816)
- use blkid instead of vol_id which we no longer ship

  + Christophe Fergeau <cfergeau@mandriva.com>
    - depends on squashfs3-tools instead of squashfs-tools
    - Add missing BuildRequires

* Wed May 27 2009 Olivier Blin <oblin@mandriva.com> 1.14-1mdv2010.0
+ Revision: 380198
- 1.14
- adapt to new extipl location in x86_64
- adapt to new magic.mgc location
- buildrequire cryptsetup, photorec and quota
- 1.13
- include various commands
- image restore script:
  o better estimate of image dump progression
  o fix detecting multiple partitions to avoid win32 detection
  o fix guessing extension when filename contains a dot

* Fri Feb 20 2009 Olivier Blin <oblin@mandriva.com> 1.12-1mdv2009.1
+ Revision: 343265
- buildrequire ntfs-3g (for mount.ntfs-3g)
- 1.12
- image restore script:
  o add swap partition
  o use a minimum size for disks to be detected (Caio)
  o resize Windows partitions if needed (Caio)
- Flash rescue:
  o add support for Flash 2009
  o try to load squashfs-lzma too
  o handle path to lzma distrib loopbacks
- fix build:
  o do not include dead parsehdlist
  o do not include dead rpm helpers

* Thu Sep 25 2008 Olivier Blin <oblin@mandriva.com> 1.11-1mdv2009.0
+ Revision: 288249
- buildrequire cdialog (for dialog)
- 1.11
- add image restoration scripts ("restore" command line parameter)

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.10-2mdv2009.0
+ Revision: 264421
- rebuild early 2009.0 package (before pixel changes)

  + Olivier Blin <oblin@mandriva.com>
    - 1.10
    - fix "Mounting other partitions from fstab" which use UUID=xxx
    - fix build with latest file package, which only includes the
      precompiled magic file
    - rebuild with latest ldetect-lst (to use libata pata drivers by default)
    - remove useless ldetect-lst require

* Mon Mar 10 2008 Olivier Blin <oblin@mandriva.com> 1.9-1mdv2008.1
+ Revision: 183602
- 1.9
- add missing modalias files (#38690)
- handle ntfs-3g in fstab (pixel)

* Fri Feb 29 2008 Olivier Blin <oblin@mandriva.com> 1.8-1mdv2008.1
+ Revision: 176573
- buildrequire packdrake
- buildrequire bind-utils (for host), wget and rpmtools (for parsehdlist)
- 1.8
- support new modules location (#38207)
- adapt to perl 5.10
- fix build (fix a workaround in partimage_whole_disk)
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-not-capitalized
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Antoine Ginies <aginies@mandriva.com>
    - add ka-deploy-source-node buildrequires (needed by ka method)

* Tue Sep 25 2007 Thierry Vignaud <tv@mandriva.org> 1.7-1mdv2008.0
+ Revision: 92804
- BuildRequires nfs-utils-clients for mount.nfs

  + Pixel <pixel@mandriva.com>
    - 1.7: add mount.nfs binary (since mount doesn't handle nfs fs anymore)

* Mon Sep 03 2007 Pixel <pixel@mandriva.com> 1.6-2mdv2008.0
+ Revision: 78547
- rebuild to have correct keymaps (#33086)

* Wed Aug 08 2007 Pixel <pixel@mandriva.com> 1.6-1mdv2008.0
+ Revision: 60394
- new release, 1.6
- adapt to new libldetect together with drakx-installer-images 1.13
- loadkeys file:
  o handle new "kbd" rpm which have .map files instead of .kmap
  o don't skip fr_CH-latin1
  o handle "fr_CH"-like short names
- remove rescuept (use testdisk instead, which is much nicer)

* Mon Jul 09 2007 Pixel <pixel@mandriva.com> 1.5-1mdv2008.0
+ Revision: 50524
- rebuild
- new release, 1.5
- add /etc/mke2fs.conf in order to format ext3fs with 4k blocks (#27377)
- add "mkfs.ext3" which is no more equivalent to "mkfs.ext2 -J"
  (eg: dir_index & resize_inode features)


* Thu Apr 05 2007 Pixel <pixel@mandriva.com> 1.4-1mdv2007.1
+ Revision: 150724
- new release, 1.4
- zcat and gunzip can't be symlinks anymore, they are scripts

* Wed Apr 04 2007 Pixel <pixel@mandriva.com> 1.3-5mdv2007.1
+ Revision: 150643
- drakx-kbd-mouse-x11 is no more required by drakxtools-backend, adding explicit BuildRequires
- we can't expect mandriva-release nor mandriva-release to be installed at the moment, removing the check
- mandriva-release is no more, mandriva-release-common is the one to check
- don't depend on mandriva-release %%version-%%release, only on %%version
- rebuild with fixed gzip

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 1.3-2mdv2007.1
+ Revision: 144714
- rebuild

* Thu Feb 08 2007 Pixel <pixel@mandriva.com> 1.3-1mdv2007.1
+ Revision: 118151
- rebuild with valid rights on rescue.sqfs

* Mon Jan 29 2007 Pixel <pixel@mandriva.com> 1.2-1mdv2007.1
+ Revision: 115113
- drakx-installer-binaries are in lib64 on amd64
- mknod-m600 is needed for build
- add needed buildrequires
- initial release
- Create drakx-installer-rescue

